stages:
  - allowance
  - testing
  - staging
  - production
  
allowance:
  stage: allowance
  allow_failure: false
  script:
   - echo allowance done
  only:
  - tags

deploy to testing:
  stage: testing    
  image: beevelop/nodejs-python:latest
  environment: testing
  script:
  - npm install
  - npm install -g serverless
  - sls plugin install -n serverless-python-requirements --stage test
  - npm install serverless-prune-plugin
  - sls deploy -s test
  when: manual
  only:
  - tags
  
deploy to staging:
  stage: staging    
  image: beevelop/nodejs-python:latest
  environment: staging
  script:
  - npm install
  - npm install -g serverless
  - sls plugin install -n serverless-python-requirements --stage test
  - npm install serverless-prune-plugin
  - sls deploy -s staging
  when: manual
  only:
  - tags
  
deploy to prod:
  stage: production    
  image: beevelop/nodejs-python:latest
  environment: production
  script:
  - npm install
  - npm install -g serverless
  - sls plugin install -n serverless-python-requirements --stage test
  - npm install serverless-prune-plugin
  - sls deploy -s prod
  when: manual
  only:
  - tags
  
  